#!/bin/bash
create_new_user()
{
	username=$1
	password=$2
	if [ $(id -u) -eq 0 ]; then
		egrep "^$username" /etc/passwd >/dev/null
		if [ $? -eq 0 ]; then
			echo "$username exists!"
			exit 1
		else
			pass=$(perl -e 'print crypt($ARGV[0], "password")' $password)
			useradd -m -p $pass $username
			[ $? -eq 0 ] && echo "User has been added to system!" || echo "Failed to add a user!"
		fi
	else
		echo "Only root may add a user to the system"
		exit 2
	fi
}

delete_user()
{
	del_user=$1
	if [ $(id -u) -eq 0 ]; then
		userdel -r $del_user
	else
		echo "Only root can delete a user from the system"
		exit 2
	fi
}
# Read script parameter to define action based on them.
while getopts a:u:p:n: option
do
	case "${option}"
	in
		a) action=${OPTARG};;
		u) username=${OPTARG};;
		p) password=${OPTARG};;
		n) usernames+=" "${OPTARG};;
	esac
done
if [ "$action" == "add" ]; then
	#Create new user
	echo "Create new user in system with username: $username"
	create_new_user $username $password
else
	#Delete users
	for i in $usernames
	do
		echo "Delete user from system with username: $i"
		delete_user $i
	done
fi


